IPSEC_STRERROR(3)

NAME
_ipsec_strerror - error messages for the IPsec policy manipulation library

SYNOPSIS

#include <netinet6/ipsec.h>

const char *ipsec_strerror(void);

DESCRIPTION

#include <netinet6/ipsec.h> declares

extern int ipsec_errcode;

which is used to pass an error code from IPsec policy manipulation library to a user program. The ipsec_strerror(); function can be used to obtain the error message string for the error code.

The array pointed to is not to be modified by the program. Since ipsec_strerror(); uses strerror(3) as an underlying function, calling strerror(3) after ipsec_strerror(); would overwrite the the return value from ipsec_strerror(); and make it invalid.

RETURN VALUES

The ipsec_strerror(); function always returns a pointer to C string. The C string must not be overwritten by the caller.

SEE ALSO

ipsec_set_policy(3)

HISTORY

The ipsec_strerror(); function first appeared in WIDE/KAME IPv6 protocol stack kit.

BUGS

The ipsec_strerror(); function will return its result which may be overwritten by subsequent calls.

ipsec_errcode is not thread safe.